org.apache.hadoop.hdfs.federation.protocol.proto

## Interface HdfsServerFederationProtos.UpdateNamenodeRegistrationRequestProtoOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    HdfsServerFederationProtos.UpdateNamenodeRegistrationRequestProto, HdfsServerFederationProtos.UpdateNamenodeRegistrationRequestProto.Builder
  Enclosing class:
    HdfsServerFederationProtos

      public static interface HdfsServerFederationProtos.UpdateNamenodeRegistrationRequestProtoOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNamenodeId()` `optional string namenodeId = 2;`
    `com.google.protobuf.ByteString` | `getNamenodeIdBytes()` `optional string namenodeId = 2;`
    `String` | `getNameserviceId()` `optional string nameserviceId = 1;`
    `com.google.protobuf.ByteString` | `getNameserviceIdBytes()` `optional string nameserviceId = 1;`
    `String` | `getState()` `optional string state = 3;`
    `com.google.protobuf.ByteString` | `getStateBytes()` `optional string state = 3;`
    `boolean` | `hasNamenodeId()` `optional string namenodeId = 2;`
    `boolean` | `hasNameserviceId()` `optional string nameserviceId = 1;`
    `boolean` | `hasState()` `optional string state = 3;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasNameserviceId

          boolean hasNameserviceId()

      `optional string nameserviceId = 1;`

    - #### getNameserviceId

          String getNameserviceId()

      `optional string nameserviceId = 1;`

    - #### getNameserviceIdBytes

          com.google.protobuf.ByteString getNameserviceIdBytes()

      `optional string nameserviceId = 1;`

    - #### hasNamenodeId

          boolean hasNamenodeId()

      `optional string namenodeId = 2;`

    - #### getNamenodeId

          String getNamenodeId()

      `optional string namenodeId = 2;`

    - #### getNamenodeIdBytes

          com.google.protobuf.ByteString getNamenodeIdBytes()

      `optional string namenodeId = 2;`

    - #### hasState

          boolean hasState()

      `optional string state = 3;`

    - #### getState

          String getState()

      `optional string state = 3;`

    - #### getStateBytes

          com.google.protobuf.ByteString getStateBytes()

      `optional string state = 3;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.